@ECHO OFF
CLS
ECHO.
ECHO   ____   _____   ____      _   _               _           _                 
ECHO  / ___I I ____I I  _ \    I I I I  _ __     __I I   __ _  I I_    ___   _ __ 
ECHO I I     I  _I   I I_) I   I I I I I '_ \   / _` I  / _` I I __I  / _ \ I '__I
ECHO I I___  I I___  I  __/    I I_I I I I_) I I (_I I I (_I I I I_  I  __/ I I   
ECHO  \____I I_____I I_I        \___/  I .__/   \__,_I  \__,_I  \__I  \___I I_I   
ECHO                                   I_I                                        
ECHO.

REM Script created by Inayity for testing CEP updater.

ECHO Checking requirements...
FOR /F "tokens=2* delims=	" %%A IN ('REG QUERY "HKEY_LOCAL_MACHINE\SOFTWARE\BioWare\NWN\Neverwinter" /v Version') DO SET NWNINSTALLVER=%%B
FOR /F "tokens=2* delims=	" %%A IN ('REG QUERY "HKEY_LOCAL_MACHINE\SOFTWARE\BioWare\NWN\Neverwinter" /v Path') DO SET NWNINSTALLPATH=%%B

IF %NWNINSTALLVER% == 1.69 (
ECHO PASSED! Neverwinter Nights Version %NWNINSTALLVER%
) ELSE (
ECHO FAILED! Neverwinter Nights Version %NWNINSTALLVER% - Please upgrade to NWN 1.69
)

IF %NWNINSTALLPATH% == "" (
ECHO FAILED! Unable to retrieve NWN Default Install Path.
) ELSE (
ECHO PASSED! Default NWN Install Path found: %NWNINSTALLPATH%
)

IF EXIST %NWNINSTALLPATH%CEP_Update.lnk (
ECHO PASSED! CEP_Update.lnk found in %NWNINSTALLPATH%
) ELSE (
ECHO FAILED! CEP_Update.lnk NOT FOUND in %NWNINSTALLPATH%
)

IF EXIST %NWNINSTALLPATH%erf.exe (
ECHO PASSED! ERF.EXE found in %NWNINSTALLPATH%
) ELSE (
ECHO FAILED! ERF.EXE NOT FOUND in %NWNINSTALLPATH%
)

IF EXIST %NWNINSTALLPATH%chitin.key (
ECHO PASSED! CHITIN.KEY found in %NWNINSTALLPATH%

IF NOT EXIST %NWNINSTALLPATH%docs ( MKDIR %NWNINSTALLPATH%docs )
IF NOT EXIST %NWNINSTALLPATH%docs\cep ( MKDIR %NWNINSTALLPATH%docs\cep )
IF NOT EXIST %NWNINSTALLPATH%erf ( MKDIR %NWNINSTALLPATH%erf )
IF NOT EXIST %NWNINSTALLPATH%hak ( MKDIR %NWNINSTALLPATH%hak )
IF NOT EXIST %NWNINSTALLPATH%modules ( MKDIR %NWNINSTALLPATH%modules )
IF NOT EXIST %NWNINSTALLPATH%override ( MKDIR %NWNINSTALLPATH%override )
IF NOT EXIST %NWNINSTALLPATH%tlk ( MKDIR %NWNINSTALLPATH%tlk )

) ELSE (
ECHO FAILED! CHITIN.KEY NOT FOUND in %NWNINSTALLPATH%
)

IF EXIST C:\Windows\System32\cmd.exe (
ECHO PASSED! CMD.EXE found in C:\Windows\System32
) ELSE (
ECHO FAILED! CMD.EXE NOT FOUND in C:\Windows\System32
)

ECHO.
ECHO.
ECHO To update CEP, please use the CEP_Update shortcut.
ECHO.
ECHO Please press enter to continue.
ECHO.

PAUSE

